package com.bonus.canteen.core.order.common.dto;

import com.bonus.canteen.core.pay.api.dto.UnifyRefundDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

@ApiModel("订单审核DTO")
public class OrderCheckDTO {
   @ApiModelProperty("退单id")
   private @NotNull Long orderRefundId;
   @ApiModelProperty("审核状态 1 待审核 2 审核通过  3 审核未通过")
   private @NotNull Integer checkState;
   @ApiModelProperty("审核理由")
   private String checkResult;
   @ApiModelProperty("退单/纠错详情")
   private @NotNull @Size(
   min = 1
) List<OrderDetailRefundDTO> detailRefundList;
   @ApiModelProperty("指定退款渠道明细")
   private List<UnifyRefundDTO.ChannelDetail> channelAssignList;

   public Long getOrderRefundId() {
      return this.orderRefundId;
   }

   public Integer getCheckState() {
      return this.checkState;
   }

   public String getCheckResult() {
      return this.checkResult;
   }

   public List<OrderDetailRefundDTO> getDetailRefundList() {
      return this.detailRefundList;
   }

   public List<UnifyRefundDTO.ChannelDetail> getChannelAssignList() {
      return this.channelAssignList;
   }

   public void setOrderRefundId(final Long orderRefundId) {
      this.orderRefundId = orderRefundId;
   }

   public void setCheckState(final Integer checkState) {
      this.checkState = checkState;
   }

   public void setCheckResult(final String checkResult) {
      this.checkResult = checkResult;
   }

   public void setDetailRefundList(final List<OrderDetailRefundDTO> detailRefundList) {
      this.detailRefundList = detailRefundList;
   }

   public void setChannelAssignList(final List<UnifyRefundDTO.ChannelDetail> channelAssignList) {
      this.channelAssignList = channelAssignList;
   }
}
